[Overview][Types][Classes][Index] | Reference for unit 'coffwriter' (#fcl-res)

# TResourceStringTable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

COFF resource string table

## Declaration

Source position: coffwriter.pp line 41

`type TResourceStringTable = class`
`public`
`constructor Create;`
`destructor Destroy; override;`
`procedure Add();`
`procedure Clear;`
`property Count: Integer; [r]`
`property Items []: string; default; [r]`
`property StartRVA: LongWord; [rw]`
`property CurrRVA: LongWord; [r]`
`property EndRVA: LongWord; [r]`
`end;`

## Inheritance

`TResourceStringTable` |  | COFF resource string table
`TObject`

## Description

This class is used internally by TCoffResourceWriter.